cURL
curl --request PUT \
--url https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}/onboarding \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"step": "<string>",
"document": {
"fileExtension": "<string>",
"base64Content": "<string>"
},
"information": {
"cornerStoreType": "<string>",
"businessLifetime": "<string>",
"ownershipStatus": "<string>",
"cornerStoreName": "<string>",
"cornerStoreAddress": "<string>",
"localeOwner": "<string>"
}
}
'import requests
url = "https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}/onboarding"
payload = {
"step": "<string>",
"document": {
"fileExtension": "<string>",
"base64Content": "<string>"
},
"information": {
"cornerStoreType": "<string>",
"businessLifetime": "<string>",
"ownershipStatus": "<string>",
"cornerStoreName": "<string>",
"cornerStoreAddress": "<string>",
"localeOwner": "<string>"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
step: '<string>',
document: {fileExtension: '<string>', base64Content: '<string>'},
information: {
cornerStoreType: '<string>',
businessLifetime: '<string>',
ownershipStatus: '<string>',
cornerStoreName: '<string>',
cornerStoreAddress: '<string>',
localeOwner: '<string>'
}
})
};
fetch('https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
KYC
Onboarding
PUT
/
account
/
{userId}
/
verification
/
{verificationId}
/
onboarding
cURL
Corner Store Onboarding
To onboard a corner store, this endpoint must be called. Before that, thecreate-verification use case must be invoked to obtain the verificationId required by this endpoint.
Create verification use case
Get more information about how call verification use-case
Important Considerations:
To send images to this endpoint, the base64 content of the image and its file extension must be provided. The optimal requirements for sending images are:- Clarity and Quality: Use clear, high-quality images without excessive shadows.
- Positioning: The subject’s face should be centered and unobstructed by objects such as glasses, hats, or face masks. The entire face must be visible.
- Size: The recommended image size is between 250 KB and 1 MB.
- Format: We recommend using JPEG or PNG formats.
- Colors: The image must be in color, not black and white.
- Dimensions: The image should have a minimum width of 750 pixels.
- Document Coverage (for INE): The document should cover at least 70% of the total image area.
How to Use This Endpoint
To use this endpoint, follow these steps:- First, call the
create-verificationuse case to obtain theverificationId. - Next, use this endpoint to send the images and corner store information using the following request body example:
{
"step": "DOCUMENT_IMAGE_FRONTAL",
"document": {
"fileExtension": "png",
"base64Content": "base64 encoded content of the image"
}
}
- Then, you need to call this endpoint again to send the information of the corner store, following the next body example:
{
"step": "CORNER_STORE_INFORMATION",
"information": {
"cornerStoreType": "GROCERY_STORE",
"businessLifetime": "LESS_THAN_ONE_YEAR",
"ownershipStatus": "SOLE_PROPRIETOR",
"cornerStoreName": "Corner store name",
"cornerStoreAddress": "Corner store address",
"localeOwner": "PROPIO"
}
}
- Finally, you need to notify when user finished the onboarding, following the next body example:
{
"step": "COMPLETED"
}
Path parameters
string
required
Propaga’s user id
string
required
Verification id generated when you call the create verification use-case
Body
object
Was this page helpful?
⌘I

